use actix_web::web;

use crate::api::provision::{
    admin_bind_postgres_instance_port_route, admin_delete_postgres_instance,
    admin_get_postgres_instance_status, admin_list_postgres_instances,
    admin_spin_up_postgres_instance, admin_start_postgres_instance, admin_stop_postgres_instance,
};

pub(super) fn register(cfg: &mut web::ServiceConfig) {
    cfg.service(admin_list_postgres_instances)
        .service(admin_spin_up_postgres_instance)
        .service(admin_get_postgres_instance_status)
        .service(admin_start_postgres_instance)
        .service(admin_stop_postgres_instance)
        .service(admin_bind_postgres_instance_port_route)
        .service(admin_delete_postgres_instance);
}
